Skip to main content

Create a shopper

POST /v2/fulfillment_sandbox/shoppers

Creates a shopper and returns a shopper ID for that shopper.

Security​

NameInDescription
AuthorizationheaderThe Authorization header with the bearer token acquired during authentication.

Parameters​

None.

Request​

FieldTypeRequiredDescription
emailstringOptional

The email of the shopper.

phonestringOptional

The phone number of the shopper.

Request examples​

curl --request POST \
--url https://connect.instacart.com/v2/fulfillment_sandbox/shoppers \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"email": "string",
"phone": "string"
}'

Response​

FieldTypeRequiredDescription
idintegerRequired

The ID of the shopper.

Response examples​

Success

{
"id": 1
}

4XX Errors

Error responses return either a single error or multiple errors.

HTTP CodeCauseError MessageError CodeError Meta
400Account already exists"An account already exists with this number"1001{"key":"phone"}
400Invalid email"Invalid email"1001{"key":"email"}
400Invalid phone number"Invalid phone number"1001{"key":"phone"}